Summary: Client and server for the telnet remote login protocol
Name: telnet
Version: 0.10
Release: 2
Copyright: BSD
Group: Networking
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-telnet-0.10.tar.gz
Source1: telnet.wmconfig
Patch: netkit-telnet-0.10-misc.patch
Requires: inetd
BuildRoot: /var/tmp/telnet-root

%changelog

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>

- added wmconfig entry

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>

- initial build

%description
Telnet is a popular protocol for remote logins across the Internet. This
package provides a command line telnet client as well as a telnet daemon
which allows remote logins into the machine it is running on. The telnet
daemon is enabled by default, and may be disabled by editing /etc/inetd.conf.

%prep
%setup -n netkit-telnet-0.10
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make INSTALLROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -o root -g root -m644 $RPM_SOURCE_DIR/telnet.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/telnet

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config(missingok) /etc/X11/wmconfig/telnet
/usr/bin/telnet
/usr/man/man1/telnet.1
/usr/sbin/in.telnetd
/usr/man/man5/issue.net.5
/usr/man/man8/in.telnetd.8
/usr/man/man8/telnetd.8
